FreeBSD : libmms -- stack-based buffer overflow (f6bff909-4a26-11db-a4cc-000a48049292)

This script is Copyright (C) 2006-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Mitre CVE reports :

Stack-based buffer overflow in libmms, as used by (a) MiMMS 0.0.9 and
(b) xine-lib 1.1.0 and earlier, allows remote attackers to cause a
denial of service (application crash) and possibly execute arbitrary
code via the (1) send_command, (2) string_utf16, (3) get_data, and (4)
get_media_packet functions, and possibly other functions.

See also :

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=374577
http://www.nessus.org/u?dcfe443d

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.1
(CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 4.2
(CVSS2#E:F/RL:OF/RC:ND)
Public Exploit Available : true

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 22456 (freebsd_pkg_f6bff9094a2611dba4cc000a48049292.nasl)

Bugtraq ID: 18608

CVE ID: CVE-2006-2200

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now